# Uses of Class
org.eclipse.jdt.core.dom.GuardedPattern

Packages that use GuardedPattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of GuardedPattern in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return GuardedPattern
Modifier and Type
Method
Description
`GuardedPattern`
AST.`newGuardedPattern()`
Creates and returns a new unparented guarded pattern node with an unspecified pattern variable name and a null expression.
Methods in org.eclipse.jdt.core.dom with parameters of type GuardedPattern
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(GuardedPattern node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(GuardedPattern node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(GuardedPattern node)`
Visits the given type-specific AST node.